import os
import sys
import time

import schedule
from services.elasticsearch_service import ElasticsearchService

CURRENT_DIR = os.path.dirname(os.path.abspath(__file__))
sys.path.append(os.path.dirname(CURRENT_DIR))

es = ElasticsearchService()


def handlePendingMessageScheduledTask():
    es.handlePendingMessages()


def handleApprovedMessageScheduledTask():
    es.handleApprovedMessages()


def main():
    # handle pending messages
    schedule.every(10).seconds.do(handlePendingMessageScheduledTask)
    # handle approved messages
    schedule.every(10).seconds.do(handleApprovedMessageScheduledTask)
    while 1:
        schedule.run_pending()
        time.sleep(1)


if __name__ == '__main__':
    main()
