import boto3
import json
import os


# AWS Credentials are loaded from (1) environment variables or (2) ~/.aws/credentials

class MessageProcessor:
    """ Message processor """

    def getMessages(self, queueName=None):
        self.sqs = boto3.resource('sqs', 'ap-southeast-2')
        self.queue = self.sqs.get_queue_by_name(
            QueueName=queueName or os.environ['Cyclops_Cia_Correction_Subscriber_Name'])

        pendingMessages = set()

        for i in range(0, 6):
            messages = self.queue.receive_messages(VisibilityTimeout=1, MaxNumberOfMessages=10, WaitTimeSeconds=5)

            for msg in messages:
                result = json.loads(msg.body)
                pendingMessages.add(result['Message'])
                msg.delete()

        return list(pendingMessages)
