import logging
import os
import urllib.request
import json
from services.logger import Logger

class ImageService:
    """Image Service"""

    def __init__(self, imageUrl, saveToFilePath, msgId):
        self.imageUrl = imageUrl
        self.saveToFilePath = saveToFilePath
        self.msgId = msgId
        logger = Logger(__name__)
        self.logger = logger.logger

    def save(self):
        try:
            if not os.path.exists(self.saveToFilePath):
                os.makedirs(self.saveToFilePath, 777)

            urllib.request.urlretrieve(self.imageUrl, self.saveToFilePath + "/" + self.msgId + ".jpg")

        except Exception as error:
            self.logger.error('Failed to download image', exc_info=True)
